import 'package:flutter/services.dart';

class Date224Formatter extends TextInputFormatter {
  late final String _separator;

  Date224Formatter(String separator) {
    _separator = separator;
  }

  @override
  TextEditingValue formatEditUpdate(
      final TextEditingValue oldValue, final TextEditingValue newValue) {
    final StringBuffer formatted = StringBuffer();

    // If cursor doesn't at the end then take the old value.
    final String value = newValue.selection.end == newValue.text.length
        ? newValue.text.replaceAll(_separator, '')
        : oldValue.text.replaceAll(_separator, '');

    for (int index = 0; index < value.length; index++) {
      if (index == 2 || index == 4) {
        formatted.write(_separator);
      }
      formatted.write(value[index]);
    }

    return TextEditingValue(
        selection: TextSelection.collapsed(offset: formatted.length),
        text: formatted.toString());
  }
}
